### Method

# Notify Notification set_hint_byte_array

deprecated: 0.6.

#### Declaration [src]

    void
    notify_notification_set_hint_byte_array (
      NotifyNotification* notification,
      const char* key,
      const guchar* value,
      gsize len
    )

#### Description [src]

Sets a hint with a byte array value.

The length of `value` must be passed as `len`.

Deprecated since: 0.6.

Use `notify_notification_set_hint()` instead.

#### Parameters

`key`

  Type: `const char*`

  The hint.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: An array of `guchar`

  The hint’s value.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `gsize`

  The length of the byte array.